SHUTDOWN(8)

NOM
shutdown – Suspendre, arrêter ou redémarrer la machine

SYNOPSIS

shutdown [options...] [heure] [avertissement...]

DESCRIPTION

shutdown peut être utilisé pour suspendre, arrêter ou redémarrer la machine.

Le premier argument peut être une chaîne d’indication d’heure (couramment « now » – maintenant) . Facultativement, il peut être suivi d’un message d’avertissement à envoyer à tous les utilisateurs connectés avant la mise à l’arrêt.

La chaîne d’heure peut être précisée, soit dans le format « hh:mm » pour heures/minutes précisant le moment d’exécution, au format 24 h, soit avec la syntaxe « +m » indiquant le nombre m de minutes à partir de maintenant (now). « now » est un alias pour +0, c'est-à-dire un arrêt immédiat. Si aucune indication d’heure n’est fournie, +1 est implicite.

Notez que pour indiquer un message d’avertissement, une indication d’heure doit être aussi fournie.

Si un argument d’heure est utilisé, cinq minutes avant l’arrêt du système, le fichier /run/nologin est créé pour assurer que des connexions futures ne seront pas autorisées.

OPTIONS

Les options suivantes sont comprises :

--help
    Afficher un aide-mémoire succinct et quitter.

-H, --halt
    Suspendre la machine.

-P, --poweroff
    Arrêter la machine (comportement par défaut).

-r, --reboot
    Redémarrer la machine.

-h
    Identique à --poweroff, mais n’outrepasse pas l’action à entreprendre si c’est « halt ». Par exemple, shutdown --reboot -h signifie « poweroff », mais shutdown --halt -h signifie « halt ».

-k
    Ne pas suspendre, arrêter ou redémarrer la machine, mais afficher seulement un message d’avertissement.

--no-wall
    Ne pas envoyer de message d’avertissement avant la suspension, l’arrêt ou le redémarrage.

-c
    Annuler un arrêt programmé. Cela peut être utiliser pour annuler l’effet d’une invocation de shutdown avec un argument de temps qui n’est pas « +0 » ou « now ».

--show
    Afficher une action d'arrêt programmée et une heure s'il y en a une.

    Added in version 250.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

COMPATIBILITÉ

Par défaut, la commande shutdown dans les systèmes init précédents (incluant sysvinit) conduisait au mode « single-user » au lieu d’arrêter la machine. Pour basculer dans ce mode il faut utiliser systemctl rescue à la place.

VOIR AUSSI

systemd(1), systemctl(1), halt(8), wall(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par carmie, Thierry Vignaud <tvignaud@mandriva.com>, Éric Piel <eric.piel@tremplin-utc.net>, Gérard Delafond <gerard@delafond.org>, Danny <dannybrain@noos.fr>, Christophe Blaess <ccb@club-internet.fr>, Frédéric Delanoy <delanoy_f@yahoo.com>, François Wendling <frwendling@free.fr>, Philippe Batailler, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org>, Romain Doumenc <rd6137@gmail.com>, Thomas Vincent <tvincent@debian.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.